Bug 150809 - [regression] konqueror losts the bolt icon in https
Summary: [regression] konqueror losts the bolt icon in https
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR critical (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
: 152988 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-10-13 23:22 UTC by Giovanni Venturi
Modified: 2007-11-27 19:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Venturi 2007-10-13 23:22:53 UTC
Version:           3.5.8 (using KDE 3.5.8, compiled sources)
Compiler:          Target: i486-slackware-linux
OS:                Linux (i686) release 2.6.23.1

Accessing to an SSL website via https with Konqueor I get the bolt icon on the right of the URL address. When I move in the page through the links on the page that the yellow background of the URL address and the bolt icon on the right disappears. Who did break this feature?
Comment 1 Tommi Tervo 2007-10-16 12:32:05 UTC
Lifting severity to security level. (confirmed on kubuntu gutsy and opensuse 10.3)
Comment 2 Pete 2007-10-17 10:19:53 UTC
This has also been a problem in Ubuntu (as you would expect). Apparently a bugfix has been released https://bugs.launchpad.net/ubuntu/+source/kdebase/+bug/152449 but I'm not sure if this work is back in the main Konqueror tree or not.
Comment 3 Pete 2007-10-17 10:21:35 UTC
This has also been a problem in Ubuntu/Kubuntu, as you would expect and stated above. Apparently a bugfix has been released https://bugs.launchpad.net/ubuntu/+source/kdebase/+bug/152449 but I'm not sure if this work is back in the main Konqueror tree or not.
Comment 4 Tommi Tervo 2007-10-17 11:09:10 UTC
Adawit just reverted his change, which is propably related
http://lists.kde.org/?l=kde-commits&m=119259432224115&w=2

kubuntu_93_https_fix.diff just comments out that function call, adawit moved it.

+@@ -3411,7 +3411,7 @@
+
+   // Send the current response before processing starts or it
+   // might never get sent...
+-  forwardHttpResponseHeader();
++  //forwardHttpResponseHeader();


Comment 5 Harri Porten 2007-10-17 12:20:08 UTC
Can confirm that r726097 fixes the problem. Still needs porting to trunk.
Comment 6 Tommi Tervo 2007-10-18 11:08:48 UTC
Fixed in trunk too:
http://lists.kde.org/?l=kde-commits&m=119266238805863&w=2
Comment 7 Maksim Orlovich 2007-11-27 19:16:30 UTC
*** Bug 152988 has been marked as a duplicate of this bug. ***